Subject: [RESEND] spi: davinci: Allow device tree devices to use DMA

From: [email-masked] (Kevin Hilman)
Date: Thu, 12 Jan 2017 13:34:10 -0800

David Lechner <[email-masked]> writes:

> This allows SPI devices specified in a device tree to use DMA when the
> master controller.

Enabling DMA for spi-davinci isn't quite ready yet since this driver is
blindly using dma_map_single() on addresses passed in.  MTD seems to use
vmalloc'd buffers, which cannot be passed direclty to dma_map_single().

I thinks this driver needs an update to use spi_map_buf() to be able to
handle vmalloc'd buffers before always enabling DMA.

Kevin